View Issue Details

IDProjectCategoryView StatusLast Update
00035703 - Current Dev ListBugpublic2019-11-14 02:57
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.7 
Target VersionFixed in Version6.7.0.245 
Summary0003570: eQSL download requests are over HTTP not HTTPS
DescriptionSince the URL contains a username and password, the requests should be sent over HTTPS. HTTPS is supported, per the eQSL API docs here: http://www.eqsl.cc/qslcard/DownloadInBox.txt

Steps To Reproduce1) Open the Logbook. Any database is fine, though it might be modified by these steps
2) Use the "Configure" tear-off in the "Tools" menu to reach the "eQSL.cc" command
3) In the resulting dialog, configure the username and password for your eQSL.cc account
4) Use the "File" tear-off in the "Logbook" menu to reach the "eqsl.cc" tear-off. In that menu, choose "download"
5) Press the "Download from eQSL.cc" button in the resulting "eQSL.cc Download" dialog

BUG#1) In the "Log" tab of the "eQSL.cc Download" dialog, note that the first entry reports a URL with your username and password, but uses an HTTP scheme instead of HTTPS.
Tags6.7 defects
ModuleLogbook
Sub-ModuleeQSL
Testing Beta Successful

Relationships

related to 0003558 closedWA9PIE eQSL Download function loads all QSOs from eQSL server 

Activities

K7ZCZ

2019-11-10 14:55

administrator   ~0009229

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/5281

PD9FER

2019-11-10 23:40

updater   ~0009247

confirm fixed in 6.7.0.245

g3ypp

2019-11-13 06:05

updater   ~0009294

I confirm that the request is https - but the underlying date problem still exists. I'll comment on that in 0003571

WA9PIE

2019-11-14 02:57

administrator   ~0009312

Validated

Issue History

Date Modified Username Field Change
2019-11-10 14:37 K7ZCZ New Issue
2019-11-10 14:39 K7ZCZ Relationship added related to 0003558
2019-11-10 14:49 K7ZCZ Steps to Reproduce Updated View Revisions
2019-11-10 14:55 K7ZCZ Assigned To => K7ZCZ
2019-11-10 14:55 K7ZCZ Status new => resolved
2019-11-10 14:55 K7ZCZ Resolution open => fixed
2019-11-10 14:55 K7ZCZ Note Added: 0009229
2019-11-10 15:44 WA9PIE Tag Attached: 6.7 defects
2019-11-10 23:15 WA9PIE Fixed in Version => 6.7.0.245
2019-11-10 23:40 PD9FER Note Added: 0009247
2019-11-13 06:05 g3ypp Note Added: 0009294
2019-11-14 02:57 WA9PIE Status resolved => closed
2019-11-14 02:57 WA9PIE Testing Not Started => Beta Successful
2019-11-14 02:57 WA9PIE Note Added: 0009312